Bug 169002 - info docs for rpy aren't being built and installed
info docs for rpy aren't being built and installed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpy (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 20:17 EDT by Alex Lancaster
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.4.6-7.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-19 04:40:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Spec file to handle installing info (2.17 KB, text/plain)
2006-02-17 04:18 EST, Alex Lancaster
no flags Details
Patch to source to build info docs as rpy.info (526 bytes, patch)
2006-02-17 04:19 EST, Alex Lancaster
no flags Details | Diff

  None (edit)
Description Alex Lancaster 2005-09-21 20:17:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Galeon/1.3.21

Description of problem:
Info docs aren't being built.  Rather than distribute
manual.texi in /usr/share/doc/examples/rpy-0.4.6/, the package should build and
install the manual to /usr/share/info/ so that it browseable via info.

The package therefore also needs to add postinstall/postuninstall triggers as per:

http://fedoraproject.org/wiki/ScriptletSnippets#head-117e9450bc166ceb4251bf8d87a9dd4e862442a4

Also the manual.info should be renamed rpy.info before packaging.


Version-Release number of selected component (if applicable):
rpy-0.4.6-1.fc4

How reproducible:
Always

Steps to Reproduce:
1. rpm -ql rpy
  

Actual Results:  /usr/share/doc/rpy-0.4.6/doc/manual.texi appears, no /usr/share/info/rpy.info

Expected Results:  /usr/share/info/rpy.info should be installed (built from manual.texi).

Additional info:
Comment 1 Alex Lancaster 2005-10-10 15:46:01 EDT
Any additional movement on this bug?   I didn't see any movement in CVS:

http://cvs.fedora.redhat.com/viewcvs/rpms/rpy/FC-4/?root=extras

(except for rebuilding rpy for R-2.2.0).

If nobody is working on it, I might try and look into a patch to the spec file.
Comment 2 José Matos 2005-10-11 07:43:40 EDT
A patch is always welcome. :-) 
 
I agree that this is bug, and that it needs to be fixed. 
As you have pointed the solution is simple, but I have been busy 
with other more pressing matter for the moment. 
 
Thank you for the report. 
Comment 3 José Matos 2006-02-16 19:14:25 EST
Instead of installing the info documents I was thinking about making 
the html and pdf variants. The Makefile we ship has all these targets. 
 
Would you oppose such change? 
Comment 4 Alex Lancaster 2006-02-17 00:41:45 EST
I don't oppose the inclusion of the html and pdf, but I would oppose the
omission of info docs.  html and pdf aren't nearly as searchable as info, and
info is integrated into emacs, where I do all my Python/RPy program anyway. ;-)
 I will try and work up a patch.
Comment 5 Alex Lancaster 2006-02-17 00:43:32 EST
We should also report upstream a propose to change the the name of the file from
manual.texi to a more descriptive rpy.texi, which would then install the info
file as rpy.info and also avoid the need to patch the rpm to change the name.
Comment 6 Alex Lancaster 2006-02-17 04:18:22 EST
Created attachment 124801 [details]
Spec file to handle installing info

Updated spec file to install info docs, uses a patch to the source, will also
upload next.
Comment 7 Alex Lancaster 2006-02-17 04:19:56 EST
Created attachment 124802 [details]
Patch to source to build info docs as rpy.info 

Patch which installs info doc as rpy.info rather than manual.info.  Will send
upstream.
Comment 9 Alex Lancaster 2006-02-19 04:40:52 EST
Fixed in rpy-0.4.6-7.fc4.  info docs are now installed and appear in directory.
 Thanks.  Closing bug.
Comment 10 Gregory R. Warnes 2006-02-27 18:41:37 EST
"Patch which installs info doc as rpy.info rather than manual.info" has now been
applied in the upstream cvs repository.  A new release will occur in
approximately a weeks time.  

-Greg Warnes
(upstream maintainer)
Comment 11 José Matos 2006-02-28 12:56:40 EST
(In reply to comment #10) 
> "Patch which installs info doc as rpy.info rather than manual.info" has now 
been 
> applied in the upstream cvs repository.  A new release will occur in 
> approximately a weeks time.   
>  
> -Greg Warnes 
> (upstream maintainer) 
 
Thank you for your work Greg as well to Walter before. 
rpy is a very useful piece of software :-) and 
I am looking forward for the next release. :-) 

Note You need to log in before you can comment on or make changes to this bug.